package com.ruoyi.benyun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("bl_attention_pool_statistics")
public class AttentionPoolStatistics {
    @TableField("stat_id")
    private String statId;
    @TableField("attention_count")
    private Integer attentionCount;
    @TableField("clue_count")
    private Integer clueCount;
    @TableField("online_count")
    private Integer onlineCount;
    @TableField("offline_count")
    private Integer offlineCount;
    @TableField("user_id")
    private String userId;
    @TableField("stat_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    private LocalDateTime statTime;
}
