package com.ruoyi.benyun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("bl_wd_opclose_statistics")
public class WdOpclose {
    @TableField("stat_id")
    private String statId;

    @TableField("addr_code")
    private String addrCode;

    @TableField("wd_type_code")
    private String wdTypeCode;

    @TableField("open_count")
    private Integer openCount;

    @TableField("close_count")
    private Integer closeCount;

    @TableField("stat_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    private LocalDateTime statTime;
}
