package com.ruoyi.benyun.job;

import com.ruoyi.benyun.utils.statistics.AttentionPoolStat;
import lombok.extern.slf4j.Slf4j;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class AttentionPoolJob  implements Job {
    @Autowired
    AttentionPoolStat stat;

    // 每天一次
    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        stat.insert();
    }
}
