package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 地区划分
 */
@Data
@TableName("ddt_addr_category")
public class AddrCategory {
    /**
     * 区码
     */
    @TableField("addr_code")
    private String addrCode;
    /**
     * 省/直辖市
     */
    @TableField("province")
    private String province;
    /**
     * 市
     */
    @TableField("city")
    private String city;
    /**
     * 区
     */
    @TableField("district")
    private String district;
    /**
     * 完整地区信息
     */
    @TableField("addr_info")
    private String addrInfo;
    /**
     * 中心纬度
     */
    @TableField("lat_gd")
    private BigDecimal latGd;
    /**
     * 中心经度
     */
    @TableField("lng_gd")
    private BigDecimal lngGd;
    /**
     * 城市等级
     */
    @TableField("city_tier")
    private String cityTier;
    /**
     * 类型（province/city/zone）
     */
    @TableField("type")
    private String type;
}
