package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("bl_brand_evolve_statistics")
public class BrandEvolve implements Serializable {
    @TableField("stat_id")
    private String statId;

    @TableField("brand_id")
    private String brandId;

    @TableField("brand_name")
    private String brandName;

    @TableField("addr_code")
    private String addrCode;

    @TableField("type_code_by")
    private String typeCodeBy;

    @TableField("count")
    private Integer count;

    @TableField("stat_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    private LocalDateTime statTime;
}
