package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("bl_brand_province_distribution")
public class BrandProvince implements Serializable {
    @TableField("dis_id")
    private String disId;

    @TableField("brand_id")
    private String brandId;

    @TableField("addr_code")
    private String addrCode;

    @TableField("province")
    private String province;

    @TableField("lat")
    private Float lat;

    @TableField("lng")
    private Float lng;

    @TableField("dis_count")
    private Integer disCount;

    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
