package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@TableName("bl_follow_up_record")
public class FollowUpRecord implements Serializable {
    @TableField("record_id")
    private String recordId;
    @TableField("clue_id")
    private String clueId;
    @TableField("follow_way")
    private String followWay;
    @TableField("follow_content")
    private String followContent;
    @TableField("follow_person")
    private String followPerson;
    @TableField("user_id")
    private String userId;
    @TableField("follow_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date followTime;
}
