package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 小区网点
 */
@Data
@TableName("ddt_house_wd")
public class HouseWd implements Serializable {
    /**
     * 网点基本信息_id（外键）
     */
    @TableId("wd_id")
    private String wdId;
    /**
     * 物业类型
     */
    @TableField("property_type")
    private String propertyType;
    /**
     * 小区住户户数（户）
     */
    @TableField("households")
    private int households;
    /**
     * 居住人口规模（人）
     */
    @TableField("people_count")
    private int peopleCount;
}
