package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 门店网点分类统计结果实体类
 */
@Data
@TableName("bl_topological_store_wd_statistics_category")
public class TopologicalStoreWdStatisticsCategory implements Serializable {

    @TableField("center_wd_id")
    private String centerWdId;

    @TableField("radius")
    private int radius;
    /**
     * 大类Code
     */
    @TableField("big_manage_type_code")
    private String bigManageTypeCode;
    /**
     * 中类Code
     */
    @TableField("mid_manage_type_code")
    private String midManageTypeCode;
    /**
     * 小类Code
     */
    @TableField("sub_category_code_statistics")
    private String subCategoryCodeStatistics;

}
