package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 犇云分类
 */
@Data
@TableName("ddt_type_by")
public class TypeBy implements Serializable {
    /**
     * 犇云分类Code
     */
    @TableField("type_code_by")
    private String typeCodeBy;
    /**
     * 大类Code
     */
    @TableField("big_category")
    private String bigCategory;
    /**
     * 中类Code
     */
    @TableField("mid_category")
    private String midCategory;
    /**
     * 小类Code
     */
    @TableField("sub_category")
    private String subCategory;
    /**
     * 完整信息
     */
    @TableField("full_info")
    private String fullInfo;
}
