package com.ruoyi.demo.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

@Data
public class BrandVo implements Serializable {
    @NotBlank(message = "品牌Id不能为空",groups = {EditGroup.class})
    private String brandId;

    private String brandImg;
    @NotBlank(message = "品牌名称不能为空",groups = {EditGroup.class})
    private String brandName;

    private String industryCode;

    private String enterpriseUsci;

    private String enterpriseName;

    private Float perCapitaConsumption;

    private Long commentCount;

    private Float score;

    private String menuInfo;

    private Float indexScore;

    private String contact;

    private String telephone;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    private Long audit;

    private String collectPerson;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date enterTime;

    private String hash;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private int showDelete = -1;

    private int pageNum = 1;

    private int pageSize = 10;

    private String orderBy = "collect_time";

}
