package com.ruoyi.demo.entity.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ListQueryBody implements Serializable {
    private String text;

    private List<String> brandId;

    private List<String> industryCode;

    private List<String> typeCode;

    private List<String> typeCodeBy;

    private List<String> wdCount;

    private List<String> coverCityCount;

    private List<String> addrCode;

    private String orderBy;

    private String startTime;

    private String endTime;

    private Integer pageNum;

    private Integer pageSize;

    //企业过滤条件
    private Boolean isOpenEnterprise = false; //是否开启企业过滤
    private String enterpriseName;
    private String businessStatus;
    private String enterpriseType;
}
