package com.ruoyi.demo.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.validate.EditGroup;
import com.ruoyi.demo.entity.StoreWd;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class StoreWdVo {
    @NotBlank(message = "网点Id不能为空",groups = {EditGroup.class})
    private String wdId;
    private String wdImg;
    @NotBlank(message = "网点名称不能为空",groups = {EditGroup.class})
    private String wdName;
    @NotBlank(message = "地址信息不能为空",groups = {EditGroup.class})
    private String addrInfo;
    @NotBlank(message = "地区Code不能为空",groups = {EditGroup.class})
    private String addrCode;

    @NotNull(message = "纬度不能为空",groups = {EditGroup.class})
    private BigDecimal lat;
    @NotNull(message = "经度不能为空",groups = {EditGroup.class})
    private BigDecimal lng;
    private String typeCodeBy;
    private String typeNameBy;

    StoreWd storeWd;
}
