package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.AttentionPoolStatistics;
import com.ruoyi.demo.entity.bo.AttentionPoolStatisticsBo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AttentionPoolStatisticsDao extends BaseMapper<AttentionPoolStatistics> {
    List<AttentionPoolStatistics> searchAllByUserId(String userId);
    List<AttentionPoolStatisticsBo> selectAllByUserIdAndDay(@Param("userId") String userId,@Param("days") List<String> days);
    List<AttentionPoolStatisticsBo> selectAllByUserIdAndMonth(@Param("userId") String userId,@Param("months") List<String> months);
    List<AttentionPoolStatisticsBo> selectAllByUserIdAndYear(@Param("userId") String userId,@Param("years") List<String> years);
}
