package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.demo.entity.StoreWd;
import com.ruoyi.demo.entity.WdInfo;
import com.ruoyi.demo.entity.bo.HeatMapBo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StoreWdDao extends BaseMapper<StoreWd> {
    List<StoreWd> perCapitaConsumpAnalyse(@Param(Constants.WRAPPER) QueryWrapper<WdInfo> queryWrapper);

    List<StoreWd> operateTimeAnalyse(@Param(Constants.WRAPPER) QueryWrapper<WdInfo> queryWrapper);

    List<StoreWd> category(@Param(Constants.WRAPPER) QueryWrapper<WdInfo> queryWrapper);

    List<StoreWd> businessStatusAnalyse(@Param(Constants.WRAPPER) QueryWrapper<WdInfo> queryWrapper);

    List<HeatMapBo> heatMap(@Param(Constants.WRAPPER) QueryWrapper<WdInfo> queryWrapper);
}
