package com.ruoyi.benyun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("bl_topological_building_wd_list")
public class TopologicalBuildingWd {

    @TableField("around_wd_id")
    private String aroundWdId;
    @TableField("around_wd_name")
    private String aroundWdName;
    @TableField("around_wd_type_code")
    private String aroundWdTypeCode;
    @TableField("distance")
    private double distance;
    @TableField("addr_code")
    private String addrCode;
    @TableField("addr_code_info")
    private String addrCodeInfo;
    @TableField("addr_info")
    private String addrInfo;
    @TableField("rent")
    private double rent;
    @TableField("build_type")
    private String buildType;
    @TableField("property_type")
    private String propertyType;
    @TableField("analyse_time")
    private LocalDateTime analyseTime;

    public TopologicalBuildingWd(WdInfo wdInfo) {
        this.aroundWdId = wdInfo.getWdId();
        this.aroundWdName = wdInfo.getWdName();
        this.aroundWdTypeCode = wdInfo.getWdTypeCode();
        this.addrCode = wdInfo.getAddrCode();
        this.addrInfo = wdInfo.getAddrInfo();
    }

    public TopologicalBuildingWd() {
    }
}
