package com.ruoyi.benyun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@TableName("bl_topological_enterprise_wd_list")
public class TopologicalEnterpriseWd {
    @TableField("around_wd_id")
    private String aroundWdId;
    @TableField("around_wd_name")
    private String aroundWdName;
    @TableField("around_wd_type_code")
    private String aroundWdTypeCode;
    @TableField("distance")
    private double distance;
    @TableField("addr_code")
    private String addrCode;
    @TableField("addr_code_info")
    private String addrCodeInfo;
    @TableField("addr_info")
    private String addrInfo;

    @TableField("industry_code")
    private String industryCode;
    @TableField("registered_capital")
    private BigDecimal registeredCapital;
    @TableField("enterprise_scale")
    private String enterpriseScale;

    @TableField("analyse_time")
    private LocalDateTime analyseTime;

    public TopologicalEnterpriseWd(WdInfo wdInfo) {
        this.aroundWdId = wdInfo.getWdId();
        this.aroundWdName = wdInfo.getWdName();
        this.aroundWdTypeCode = wdInfo.getWdTypeCode();
        this.addrCode = wdInfo.getAddrCode();
        this.addrInfo = wdInfo.getAddrInfo();
    }

    public TopologicalEnterpriseWd() {
    }
}
