package com.ruoyi.benyun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("bl_topological_house_wd_list")
public class TopologicalHouseWd {

    @TableField("around_wd_id")
    public String aroundWdId;
    @TableField("around_wd_name")
    public String aroundWdName;
    @TableField("around_wd_type_code")
    public String aroundWdTypeCode;
    @TableField("distance")
    public double distance;

    @TableField("addr_code")
    public String addrCode;

    @TableField("addr_code_info")
    public String addrCodeInfo;

    @TableField("addr_info")
    public String addrInfo;

    @TableField("rent")
    public double rent;

    @TableField("property_type")
    public String propertyType;

    @TableField("households")
    public int households;

    @TableField("people_count")
    public int peopleCount;

    @TableField("analyse_time")
    private LocalDateTime analyseTime;

    public TopologicalHouseWd(WdInfo wdInfo) {
        this.aroundWdId = wdInfo.getWdId();
        this.aroundWdName = wdInfo.getWdName();
        this.aroundWdTypeCode = wdInfo.getWdTypeCode();
        this.addrCode = wdInfo.getAddrCode();
        this.addrInfo = wdInfo.getAddrInfo();
    }

    public TopologicalHouseWd() {

    }
}
