package com.ruoyi.benyun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@TableName("bl_wd_topological_info")
public class WdTopologicalInfo {
    @TableField("center_wd_id")
    private String centerWdId;
    @TableField("center_wd_name")
    private String centerWdName;
    @TableField("center_wd_type_code")
    private String centerWdTypeCode;

    @TableField("type_code_by")
    private String typeCodeBy;

    @TableField("radius")
    private int radius;
    @TableField("addr_code")
    private String addrCode;
    @TableField("addr_code_info")
    private String addrCodeInfo;
    @TableField("addr_info")
    private String addrInfo;
    @TableField("lat")
    private BigDecimal lat;
    @TableField("lng")
    private BigDecimal lng;
    @TableField("geo_hash")
    private String geoHash;
    @TableField("tag")
    private String tag;

    @TableField("analyse_time")
    private LocalDateTime analyseTime;
}
