package com.ruoyi.benyun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.benyun.entity.BrandStoreOpclose;
import com.ruoyi.benyun.entity.vo.BrandOpcloseVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

@Mapper
public interface BrandStoreOpcloseDao extends BaseMapper<BrandStoreOpclose> {
    List<BrandOpcloseVo> selectOpenByMulti(@Param("typeCodes") List<String> typeCodes, @Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);
    List<BrandOpcloseVo> selectCloseByMulti(@Param("typeCodes") List<String> typeCodes, @Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);
}
