package com.ruoyi.demo.constant;

/**
 * Redis缓存Key常量
 */
public class RedisContant {
    /**
     * ChannelMapController 渠道地图
     */
    //获取渠道地图网点数量
    public static String CHANNEL_MAP_AREA = "channel_area";
    public static int CHANNEL_MAP_AREA_TIME = 60*8;

    //获取渠道地图网点列表
    public static String CHANNEL_MAP_LIST = "channel_list";
    public static int CHANNEL_MAP_LIST_TIME = 60*8;

    //获取渠道地图区内网点坐标信息
    public static String CHANNEL_MAP_POINT = "channel_point";

    public static int CHANNEL_MAP_POINT_TIME = 60*8;


    /**
     * ChannelAnalyseController 渠道分析
     */
    //渠道分析-城市等级分布
    public static String CHANNEL_ANALYSE_CITYTIER = "channel_analyse_cityiter";
    public static int CHANNEL_ANALYSE_CITYTIER_TIME = 60*8;

    //渠道分析-标签分析
    public static String CHANNEL_ANALYSE_TAG_ANLYSE = "channel_analyse_tag_anlyse";

    public static int CHANNEL_ANALYSE_TAG_ANLYSE_TIME = 60*20;

    //渠道分析-营业状态统计
    public static String CHANNEL_ANALYSE_BUSINESS_STATUS_ANALYSE= "channel_analyse_business_status_analyse";

    public static int CHANNEL_ANALYSE_BUSINESS_STATUS_ANALYSE_TIME = 60*8;

    //渠道分析-人均消费水平统计
    public static String CHANNEL_ANALYSE_PER_CAPITA_CONSUMP_ANALYSE = "channel_analyse_per_capita_consump_analyse";

    public static int CHANNEL_ANALYSE_PER_CAPITA_CONSUMP_ANALYSE_TIME = 60*8;

    //渠道分析-周边楼宇类型统计
    public static String CHANNEL_ANALYSE_AROUND_BUILD_ANALYSE= "channel_analyse_around_build_analyse";

    public static int CHANNEL_ANALYSE_AROUND_BUILD_ANALYSE_TIME = 60*8;

    //渠道分析-经营时长分布统计
    public static String CHANNEL_ANALYSE_OPERATE_TIME_ANALYSE = "channel_analyse_operate_time_analyse";

    public static int CHANNEL_ANALYSE_OPERATE_TIME_ANALYSE_TIME = 60*8;

    //渠道分析-品牌列表
    public static String CHANNEL_ANALYSE_BRANDLIST = "channel_analyse_brandList";
    public static int CHANNEL_ANALYSE_BRANDLIST_TIME = 60*8;

    //渠道分析-网店分类统计
    public static String CHANNEL_ANALYSE_CATEGORY = "channel_analyse_category";
    public static int CHANNEL_ANALYSE_CATEGORY_TIME = 60*8;

    /**
     * ToplogicalStoreWdController 点位评估-周边门店网点
     */
    //点位评估-周边门店网点列表
    public static String TOPOLOGICAL_STORE_WD_LIST = "topological_store_wd_list";

    public static int TOPOLOGICAL_STORE_WD_LIST_TIME = 60*8;

    //点位评估-周边门店网点分类统计
    public static String TOPOLOGICAL_STORE_WD_CATEGORY = "topological_store_wd_category";

    public static int TOPOLOGICAL_STORE_WD_CATEGORY_TIME = 60*8;

    //点位评估-周边门店网点
    public static String TOPOLOGICAL_STORE_WD_STORE_HISTOGRAM = "topological_store_wd_store_histogram";

    public static int TOPOLOGICAL_STORE_WD_STORE_HISTOGRAM_TIME = 60*8;

    //点位评估-周边网点人均消费统计
    public static String TOPOLOGICAL_STORE_WD_PER_CAPITA_CONSUMP_HISTOGRAM = "topological_store_wd_pre_capita_consump_histogram";

    public static int TOPOLOGICAL_STORE_WD_PER_CAPITA_CONSUMP_HISTOGRAM_TIME = 60*8;

    //渠道分析-网点热力图
    public static final String TOPOLOGICAL_STORE_WD_HEAT_MAP = "topological_store_wd_heat_map";
    public static final int TOPOLOGICAL_STORE_WD_HEAT_MAP_TIME = 60*8;

    /**
     * ToplogicalBuildWdController 点位评估-周边楼宇网点
     */
    //点位评估-周边楼宇网点列表
    public static String TOPOLOGICAL_BUILD_WD_LIST = "topological_build_wd_list";
    public static int TOPOLOGICAL_BUILD_WD_LIST_TIME = 60*8;

    //点位评估-周边楼宇网点物业类型统计
    public static String TOPOLOGICAL_BUILD_WD_CATEGORY= "topological_build_wd_category";
    public static int TOPOLOGICAL_BUILD_WD_CATEGORY_TIME = 60*8;

    //点位评估-周边楼宇网点分类统计
    public static String TOPOLOGICAL_BUILD_WD_BUILDING_HISTOGRAM = "topological_build_wd_building_histogram";
    public static int TOPOLOGICAL_BUILD_WD_BUILDING_HISTOGRAM_TIME = 60*8;

    /**
     * ToplogicalEnterpriseWdController 点位评估-周边企业网点
     */
    //点位评估-周边企业网点
    public static String TOPOLOGICAL_ENTERPRISE_WD_LIST = "topological_enterprise_wd_list";
    public static int TOPOLOGICAL_ENTERPRISE_WD_LIST_TIME = 60*8;

    //渠道分析-周边物流园
    public static final String TOPOLOGICAL_ENTERPRISE_WD_LOGISTICS_LIST = "topological_enterprise_wd_lpgistics_list";
    public static final int TOPOLOGICAL_ENTERPRISE_WD_LOGISTICS_LIST_TIME = 60*8;

    /**
     * ToplogicalHouseWdController 点位评估-周边小区网点
     */
    //点位评估-周边小区网点列表
    public static String TOPOLOGICAL_HOUSE_WD_LIST = "topological_house_wd_list";
    public static int TOPOLOGICAL_HOUSE_WD_LIST_TIME = 60*8;

    //点位评估-周边小区网点关键信息统计
    public static String TOPOLOGICAL_HOUSE_WD_INFO = "topological_house_wd_info";
    public static int TOPOLOGICAL_HOUSE_WD_INFO_TIME = 60*8;

    /**
     * ToplogicalCommonController 点位评估-基础功能
     */
    //点位评估-周边网点坐标信息
    public static String TOPOLOGICAL_COMMON_MAP = "topological_common_map";
    public static int TOPOLOGICAL_COMMON_MAP_TIME = 60*8;

    /**
     * 数据定时
     */
    //数据统计-分析网点周边标签后存储前缀
    public static String WD_TAG = "wd_tag";

    /**
     * 品牌相关
     */
    public static String BRAND_GEOLABEL = "brand_geolabel";
    public static int BRAND_GEOLABEL_TIME = 60*8;

    public static String BRAND_EVOLVE = "brand_evolve";
    public static int BRAND_EVOLVE_TIME = 60*8;


    /**
     * CommonController 点位评估-基础下拉框
     */
    //点位评估-地区信息
    public static String COMMON_ADDR_CODE_MAP = "commonAddrCodeMap";

    public static int COMMON_ADDR_CODE_MAP_TIME = 60*8;

    //点位评估-地区信息2
    public static String COMMON_LEVEL = "commonLevel";

    public static int COMMON_LEVEL_TIME = 60*8;

    //点位评估-网点标签分类
    public static String COMMON_TAG= "commonTag";

    public static int COMMON_TAG_TIME = 60*8;

}
