package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
@TableName("bl_attention_pool")
public class AttentionPool{
    @TableField("attention_id")
    private String attentionId;

    @TableField("contact")
    private String contact;

    @TableField("telephone")
    private String telephone;

    @TableField("wd_id")
    private String wdId;

    @TableField("wd_name")
    private String wdName;

    @TableField("wd_addr_info")
    private String wdAddrInfo;

    @TableField("brand_id")
    private String brandId;

    @TableField("brand_name")
    private String brandName;

    @TableField("user_id")
    private String userId;

    @TableField("attention_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date attentionTime;
}
