package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;


@Data
@TableName("bl_attention_pool_statistics")
public class AttentionPoolStatistics {
    @TableField("stat_id")
    private String statId;

    @TableField("attention_count")
    private Integer attentionCount;

    @TableField("clue_count")
    private Integer clueCount;

    @TableField("online_count")
    private Integer onlineCount;

    @TableField("offline_count")
    private Integer offlineCount;

    @TableField("user_id")
    private String userId;

    @TableField("stat_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statTime;
}
