package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
@TableName("bl_brand_statistics")
public class BrandStatistics {
    @TableField("stat_id")
    private String statId;

    @TableField("brand_id")
    private String brandId;

    @TableField("brand_name")
    private String brandName;

    @TableField("cover_province_count")
    private int coverProvinceCount;

    @TableField("cover_city_count")
    private int coverCityCount;

    @TableField("cover_zone_count")
    private int coverZoneCount;

    @TableField("business_count")
    private Integer businessCount;

    @TableField("pause_business_count")
    private Integer pauseBusinessCount;

    @TableField("no_business_count")
    private Integer noBusinessCount;

    @TableField("total")
    private Integer total;

    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
