package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("bl_brand_zone_distribution")
public class BrandZone {
    @TableField("dis_id")
    private String disId;

    @TableField("brand_id")
    private String brandId;

    @TableField("brand_name")
    private String brandName;

    @TableField("addr_code")
    private String addrCode;

    @TableField("province")
    private String province;

    @TableField("city")
    private String city;

    @TableField("zone")
    private String zone;

    @TableField("lat")
    private BigDecimal lat;

    @TableField("lng")
    private BigDecimal lng;

    @TableField("dis_count")
    private Integer disCount;

    @TableField("avg_score")
    private BigDecimal avgScore;

    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
