package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 经营类别
 */
@Data
@TableName("ddt_manage_type")
public class ManageType implements Serializable {
    /**
     * 类别代码
     */
    @TableField("manage_type_code")
    private String manageTypeCode;
    /**
     * 大类
     */
    @TableField("big_category")
    private String bigCategory;
    /**
     * 中类
     */
    @TableField("mid_category")
    private String midCategory;
    /**
     * 小类
     */
    @TableField("sub_category")
    private String subCategory;
    /**
     * 完整类型信息
     */
    @TableField("full_info")
    private String fullInfo;
}
