package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 周边小区网点关键信息
 */
@Data
public class TopologicalHouseWdStatisticsData implements Serializable {

    @TableField("center_wd_id")
    private String centerWdId;

    @TableField("radius")
    private int radius;
    /**
     * 小区数量
     */
    @TableField("house_wd_count")
    private int houseWdCount;
    /**
     * 总户数
     */
    @TableField("total_households")
    private int totalHouseholds;
    /**
     * 总人数
     */
    @TableField("total_people_count")
    private int totalPeopleCount;
    /**
     * 平均租金
     */
    @TableField("average_rent")
    private double averageRent;

}
