package com.ruoyi.demo.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.BrandZone;
import com.ruoyi.demo.entity.bo.BrandAddrDistribution;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BrandZoneMapper extends BaseMapper<BrandZone> {
    List<BrandZone> searchByMulti(@Param("addrCodes") List<String> addrCodes, @Param("industryCodes") List<String> industryCodes, @Param("brandIds") List<String> brandIds);

    List<BrandAddrDistribution> searchByAddrCodeGroup(@Param("addrCodes") List<String> addrCodes);
}
