package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.demo.entity.TopologicalBuildingWd;
import com.ruoyi.demo.entity.TopologicalHouseWd;
import com.ruoyi.demo.entity.WdInfo;
import com.ruoyi.demo.entity.bo.PointBo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.geo.Point;

import java.util.List;

@Mapper
public interface WdInfoDao extends BaseMapper<WdInfo> {
    Page<TopologicalBuildingWd> selectTopologicalBuildWdList(Page<WdInfo> page, @Param(Constants.WRAPPER) QueryWrapper<WdInfo> queryWrapper);

    Page<TopologicalHouseWd> selectTopologicalHouseList(Page<WdInfo> page,@Param(Constants.WRAPPER) QueryWrapper<WdInfo> queryWrapper);

    List<PointBo> map(@Param(Constants.WRAPPER) QueryWrapper<WdInfo> queryWrapper);
}
