package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.demo.entity.WdInfo;
import com.ruoyi.demo.entity.vo.AddStatusVo;
import com.ruoyi.demo.entity.vo.ChannelVo;
import com.ruoyi.demo.entity.vo.WdInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface WdInfoMapper extends BaseMapper<WdInfo> {
    Page<WdInfo> list(Page<WdInfo> page,@Param("wd") WdInfoVo wdInfoVo);

    void recoverWd(String wdId);

    List<AddStatusVo> searchAddStatusByMulti(@Param("times") List<String> times, @Param("addrCodes") List<String> addrCodes, @Param("wdTypeCodes") List<String> wdTypeCodes);

    Page<ChannelVo> selectChannel(Page<WdInfo> page, @Param(Constants.WRAPPER) QueryWrapper<WdInfo> queryWrapper);
}
