package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.WdTopological;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface WdTopologicalDao extends BaseMapper<WdTopological> {

    public void insertList(@Param("wdTopological") List<WdTopological> wdTopological);

    @Select("select * from bl_wd_topological where center_wd_id = #{centerWdId}")
    public List<WdTopological> selectWdTopologicalListById(String centerWdId);
}
