package com.ruoyi.demo.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import com.ruoyi.demo.entity.Brand;
import com.ruoyi.demo.entity.vo.BrandVo;
import com.ruoyi.demo.mapper.BrandMapper;
import com.ruoyi.demo.service.BrandRecycleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class BrandRecycleServiceImpl implements BrandRecycleService {

    @Autowired
    BrandMapper brandMapper;
    @Override
    public  Page<Brand> list(BrandVo brandVo) {
        Page<Brand> page = new Page<>(brandVo.getPageNum(),brandVo.getPageSize());
        Page<Brand> list = brandMapper.list(page,brandVo);
        return list;
    }

    @Override
    public void deleteBrand(String brandId) {
        int i = brandMapper.deleteById(brandId);
    }

    @Override
    public void recoverBrand(String brandId) {
        brandMapper.recoverBrand(brandId);
    }
}
